• Jehan's avatar
    gitlab-ci: fix the GIMP 2.10 CI distcheck. · bdc7f912
    Jehan authored
    Unfortunately the dist target requires pygtk.
    Note that even adding --disable-python to DISTCHECK_CONFIGURE_FLAGS
    doesn't help as pygtk-codegen-2.0 is needed to generate various .defs
    file added to the DIST.
    Yet pygtk is absent from Debian testing nowadays because it is too old
    and unmaintained. So let's build pygtk ourselves.
    
    Among the few tricks to make pygtk build fine:
    - force Python2 by setting PYTHON env variable (detect Python 3
      otherwise).
    - patch to allow building against latest Pango.
    bdc7f912
deps.sha256sum 266 Bytes